package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.form.DynamicForm;
import com.smartgwt.client.widgets.form.fields.TextItem;
import com.smartgwt.client.widgets.layout.HLayout;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.DataItem;
import de.intevation.flys.client.shared.model.DataList;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class TextProvider extends AbstractUIProvider {

    public static final String FIELD_NAME = "textprovider_inputfield";

    protected DynamicForm form;


    @Override
    public Canvas create(DataList dataList) {
        GWT.log("CREATE NEW TEXTPROVIDER PANEL");

        return createForm();
    }


    protected Canvas createForm() {
        return createForm(null);
    }


    protected Canvas createForm(String title) {
        HLayout layout = new HLayout();

        if (title != null && title.length() > 0) {
            Label label = new Label(title);
            label.setHeight(25);
            layout.addMember(label);
        }

        form = new DynamicForm();
        layout.addMember(form);

        TextItem item = new TextItem(FIELD_NAME);
        item.setShowTitle(false);

        form.setFields(item);

        return layout;
    }


    @Override
    public Canvas createOld(DataList dataList) {
        Data       data  = dataList.get(0);
        DataItem[] items = data.getItems();

        HLayout layout = new HLayout();
        Label   label  = new Label(dataList.getLabel());
        Label   value  = new Label(items[0].getLabel());

        layout.setHeight(35);
        layout.setWidth(400);
        label.setWidth(200);

        layout.addMember(label);
        layout.addMember(value);
        layout.addMember(getBackButton(dataList.getState()));

        return layout;
    }


    @Override
    protected Data[] getData() {
        return new Data[0];
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
